BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
%define version 1.0
%define name maven-shared
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0


%define maven_settings_file %{_builddir}/%{name}-%{version}/settings.xml

                                                                                
Summary:        Maven Shared Components
URL:            http://geronimo.apache.org
Source0:        maven-shared-file-management-1.0.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/shared/tags/file-management-1.0/

Source1:        %{name}-mapdeps.xsl
Source2:        %{name}-addjunitdep.xml
Source3:        %{name}-pom.xml

Source4:	maven-plugin-testing-harness-1.0-beta-1.tar.gz
# svn export http://svn.apache.org/repos/asf/maven/shared/tags/maven-plugin-testing-harness-1.0-beta-1/

Patch1:		maven-shared-plugin-testing-harness-pom.patch

Name:           maven-shared
Version:        1.0
Release:        alt1_4jpp1.7
Epoch:          0
License:        Apache Software License 2
Group:          Development/Java
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: maven2-plugins >= 0:1.1
BuildRequires: junit
BuildRequires: saxon
BuildRequires: saxon-scripts
BuildRequires: plexus-utils
BuildRequires: modello-maven-plugin
Requires: maven2 >= 0:1.1
%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif

Requires(post): jpackage-utils >= 0:1.7.2
Requires(postun): jpackage-utils >= 0:1.7.2

%description
Maven Shared Components

%package file-management
Summary:        Maven Shared File Management API
Group:          Development/Java
Requires: %{name} = 0:%{version}-%{release}
Requires: plexus-utils

%description file-management
%{summary}.

%package file-management-javadoc
Summary:        Javadoc for %{name}-file-management
Group:          Development/Documentation

%description file-management-javadoc
%{summary}.

%package plugin-testing-harness
Summary:        Maven Shared Plugin Testing Harness
Group:          Development/Java
Requires: %{name} = 0:%{version}-%{release}

%description plugin-testing-harness
%{summary}.

%package plugin-testing-harness-javadoc
Summary:        Javadoc for %{name}-plugin-testing-harness
Group:          Development/Documentation

%description plugin-testing-harness-javadoc
%{summary}.

%prep
%setup -q -c -n %{name}-%{version}
gzip -dc %{SOURCE4} | tar xf -
chmod -R go=u-w *
%patch1 -b .sav

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%build
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export JAVA_HOME

cp file-management-1.0/pom.xml{,.withoutjunit}
saxon -o file-management-1.0/pom.xml file-management-1.0/pom.xml.withoutjunit /usr/share/java-utils/xml/maven2jpp-mapdeps.xsl map=%{SOURCE2}

cp %{SOURCE3} pom.xml

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc

%install

# main package infrastructure
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/maven-shared
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/maven2/poms

# poms
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.maven-shared-components-parent.pom
%add_to_maven_depmap org.apache.maven.shared shared-components-parent 1 JPP/maven-shared components-parent

install -pm 644 file-management-%{version}/pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.maven-shared-file-management.pom
%add_to_maven_depmap org.apache.maven.shared file-management 1.0 JPP/maven-shared file-management

install -pm 644 maven-plugin-testing-harness-1.0-beta-1/pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.maven-shared-plugin-testing-harness.pom
%add_to_maven_depmap org.apache.maven.shared maven-plugin-testing-harness 1.0-beta-1 JPP/maven-shared plugin-testing-harness

# subpackage jars
install -p -m 0644 file-management-%{version}/target/file-management-%{version}.jar \
      $RPM_BUILD_ROOT%{_javadir}/maven-shared
pushd $RPM_BUILD_ROOT%{_javadir}/maven-shared
  ln -sf file-management-%{version}.jar file-management.jar
popd

install -p -m 0644 maven-plugin-testing-harness-1.0-beta-1/target/maven-plugin-testing-harness-1.0-beta-1.jar \
      $RPM_BUILD_ROOT%{_javadir}/maven-shared/plugin-testing-harness-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}/maven-shared
  ln -sf plugin-testing-harness-%{version}.jar plugin-testing-harness.jar
popd

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-file-management-%{version}
cp -pr file-management-%{version}/target/site/apidocs/* \
         $RPM_BUILD_ROOT%{_javadocdir}/%{name}-file-management-%{version}
ln -s %{name}-file-management-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-file-management # ghost symlink
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-plugin-testing-harness-%{version}
cp -pr maven-plugin-testing-harness-1.0-beta-1/target/site/apidocs/* \
         $RPM_BUILD_ROOT%{_javadocdir}/%{name}-plugin-testing-harness-%{version}
ln -s %{name}-plugin-testing-harness-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-plugin-testing-harness # ghost symlink

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%post file-management-javadoc
rm -f %{_javadocdir}/%{name}-file-management
ln -sf %{name}-file-management-%{version} %{_javadocdir}/%{name}-file-management

%postun file-management-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-file-management
fi

%post plugin-testing-harness-javadoc
rm -f %{_javadocdir}/%{name}-plugin-testing-harness
ln -sf %{name}-plugin-testing-harness-%{version} %{_javadocdir}/%{name}-plugin-testing-harness

%postun plugin-testing-harness-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-plugin-testing-harness
fi

%if %{gcj_support}
%post file-management
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun file-management
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post plugin-testing-harness
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun plugin-testing-harness
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%dir %{_javadir}/maven-shared
%dir %{_datadir}/maven2/poms
%{_datadir}/maven2/poms/JPP.maven-shared-components-parent.pom
%{_mavendepmapfragdir}

%files file-management
%{_javadir}/maven-shared/file-management*.jar
%{_datadir}/maven2/poms/JPP.maven-shared-file-management.pom
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/file-management*-%{version}.jar.*
%endif

%files plugin-testing-harness
%{_javadir}/maven-shared/plugin-testing-harness*.jar
%{_datadir}/maven2/poms/JPP.maven-shared-plugin-testing-harness.pom
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/plugin-testing-harness*-%{version}.jar.*
%endif

%files file-management-javadoc
%{_javadocdir}/%{name}-file-management-%{version}
%ghost %doc %{_javadocdir}/%{name}-file-management

%files plugin-testing-harness-javadoc
%{_javadocdir}/%{name}-plugin-testing-harness-%{version}
%ghost %doc %{_javadocdir}/%{name}-plugin-testing-harness

%changelog
* Wed Nov 14 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_4jpp1.7
- converted from JPackage by jppimport script

